Subject: bug#1848: 23.0.60; isearch-forward fails to find colon characters in Info buffers

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 Jan 2009 14:42:35 -0500

>> >> That's correct, in Emacs 23 C-s doesn't find invisible characters
>> >> in Info.  This is an intentional change, not a bug.  Please see
>> >> http://thread.gmane.org/gmane.emacs.devel/95142
>> 
>> > I found it a bit confusing that setting search-invisible to t makes no
>> > difference to the behaviour here. Should Info-search-success-function
>> > respect search-invisible?
>> 
>> I'd say yes.  Does anyone object?

> I don't object, but wouldn't it be confusing to have it "find" the
> colon, without the colon being visible?  Perhaps we should make it
> temporarily visible?

Oh, yes, definitely.  If we can't temporarily show the invisible text,
then we shouldn't obey (eq search-invisible 'open), but we should still
obey (eq search-invisible t).

        Stefan